package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag101;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.mt1XXAbsCreator.MT101AbsCreator;

public class Tag25ACreator extends AbsTagCreate {
    private MT101AbsCreator MT101AbsCreator;

    public Tag25ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        MT101AbsCreator = (MT101AbsCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag25AValue = MT101AbsCreator.getChargesAccount();
        MT101AbsCreator.set("25A", tag25AValue);
    }
}
